#!/usr/bin/env python

# html_report_template - Provides a template to render an HTML page after
# Python variable substitution
#
# Author: David Planella <david.planella@ubuntu.com>, with mods by
#   Kyle Nitzsche <kyle.nitzsche@canonical.com>
#
# Copyright (c) 2009, 2010 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

ubuntu_template = """
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Ubuntu %(distro_release)s Languages</title>
    <script src="http://www.google.com/jsapi" type="text/javascript"></script>
    <script type="text/javascript">

      google.load("visualization", "1", {packages:["table"]});
      google.setOnLoadCallback(drawTable);

      function drawTable() {
          var table_data = new google.visualization.DataTable(%(data_json)s, 0.6);

          var table = new google.visualization.Table(
            document.getElementById('stats_table'));

          /* Format the data column containing the translation percentage
             value: show no decimal digits */
          var nr_formatter = new google.visualization.NumberFormat({
                                 fractionDigits: 0});
          nr_formatter.format(table_data, 1);

          /* Format the data column containing the translation percentage
             value: show a green bar indicating the level of coverage */
          var bar_formatter = new google.visualization.BarFormat({
              min: 0,
              max: 100,
              width: 100,
              colorPositive: 'green'
              });
          bar_formatter.format(table_data, 1);

          /* Draw the statistics table */

          table.draw(table_data, {
              allowHtml: true,
              showRowNumber: true,
              page: 'enable',
              pageSize: %(languages_supported)s});

      }

    </script>
    <link rel="stylesheet" href="css/light.css" type="text/css" />
  </head>

  <body>

    <div id="container">
      <!-- 1. Navigation -->
      <div id="nav_main">
        <h1 id="ubuntu-header">
          <a href="https://wiki.ubuntu.com/Translations" title="Ubuntu Translations"></a>
        </h1>

        <ul id="navbar">
          <li><a href="https://wiki.ubuntu.com/Translations/">Home</a></li>
          <li><a href="https://wiki.ubuntu.com/Translations/QuickStartGuide">Quickstart</a></li>
          <li><a href="https://translations.launchpad.net/ubuntu">Translate</a></li>
          <li><a href="https://translations.launchpad.net/+groups/ubuntu-translators">Teams</a></li>
          <li><a href="%(basename)s">Statistics</a></li>
          <li><a href="https://answers.launchpad.net/ubuntu-translations">Support</a></li>
         </ul>
      </div>

      <!-- 2. Main content -->
      <div id="content">
        <h2>Ubuntu %(distro_release)s Translations</h2>
        <p id="intro-message">
              <!--
              <ul>
                <li><strong>Fully translated languages:</strong> %(languages_supported)s</li>
                <li><strong>Total number of languages:</strong> %(languages_total)s</li>
              </ul>
              -->
              At the heart of Ubuntu's philosophy is the belief that computing is
              for everyone, whatever your language. Ubuntu %(distro_release)s is one of the
              most accessible operating systems and is fully translated into %(languages_supported)s
              languages, with many other nearly completed and more being added all the time.
        </p>
        <div id="stats_table"></div>
        <div id="additional_info">
          <a href="https://wiki.ubuntu.com/Translations/Stats#UbuntuTranslationStatistics">More information on these statistics</a>
          &nbsp;&bull;&nbsp;
          Found a bug? <a href="https://bugs.launchpad.net/ubuntu-translations">Report it</a>
          &nbsp;&bull;&nbsp;
          Last update on %(gen_date)s
        </div>
      </div>
    </div>

  </body>
</html>
"""
